Subject: Re: [PATCH v8] RO/NX protection for loadable kernel modules

From: Andi Kleen <[email-masked]>
Date: Wed, 03 Feb 2010 00:05:39 +0100

Siarhei Liakh <[email-masked]> writes:

> This patch is a logical extension of the protection provided by
> CONFIG_DEBUG_RODATA to LKMs. The protection is provided by splitting
> module_core and module_init into three logical parts each and setting
> appropriate page access permissions for each individual section:

My current kernel has 52 modules loaded, most of them very small. 
Assuming the additional alignment of the data section cost two more
pages on average (I think that's a good assumption), that's roughly
424KB of additional memory, plus associated runtime costs in increased
TLB usage. 

What would I get for that if I applied the patch and enabled the option? 

That information seems to be missing in this patch submission.

Did you find any bugs with this option?

-Andi

-- 
[email-masked] -- Speaking for myself only.